org.apache.datasketches.partitions

## Interface SketchFillRequest<T,S extends QuantilesGenericAPI<T> & PartitioningFeature<T>>

Type Parameters:
  `T` - the item class type
  `S` - the sketch type

    public interface SketchFillRequest<T,S extends QuantilesGenericAPI<T> & PartitioningFeature<T>>

This is a callback request to the data source to fill a quantiles sketch, which is returned to the caller.

Author:
  Lee Rhodes

### Method Summary

All Methods Instance Methods Abstract Methods
`S` `getRange(T lowerQuantile, T upperQuantile, BoundsRule boundsRule)` This is a callback request to the data source to fill a quantiles sketch with a range of data between upper and lower bounds.

### Method Detail

#### getRange

    S getRange(T lowerQuantile,
               T upperQuantile,
               BoundsRule boundsRule)

This is a callback request to the data source to fill a quantiles sketch with a range of data between upper and lower bounds. Which of these bounds are to be included is determined by the BoundsRule.

This range of data may or may not be subsequently further partitioned.

Parameters:
  `lowerQuantile` - the lowest quantile of a range
  `upperQuantile` - the highest quantile of a range
  `boundsRule` - determines which quantile bounds to include
Returns:
  a quantiles sketch filled from the given upper and lower bounds.